const int led_a = 10;
const int led_b = 11;
int ledValue = 0;

const int sensor = A0;
const int threshold = 5; //センサの反応を見て調整
int sensorValue = 0;
int distance = 0;

// the setup routine runs once when you press reset:
void setup() {
  // initialize the LED pin as an output.
  pinMode(led_a, OUTPUT);
  pinMode(led_b, OUTPUT);
}

// the loop routine runs over and over again forever:
void loop() {
  sensorValue = analogRead(sensor);
  
  if(sensorValue > threshold){
    distance = (6787 / (sensorValue - 3)) - 4;
    ledValue = map(constrain(distance, threshold, 50), 50, threshold, 0, 255); // 50cmで光りはじめ、(threshold)cmで最大輝度
    analogWrite(led_a, ledValue);
    analogWrite(led_b, 255-ledValue);
  }
  delay(5);
}

